import { FireEnjinSubmitEvent } from "@fireenjin/sdk";
import { EventEmitter } from "../../stencil-public-runtime";
export declare class FormSiteAreas {
  fireenjinSubmit: EventEmitter<FireEnjinSubmitEvent>;
  jobId: string;
  siteId: string;
  isAffected: boolean;
  onChange(event: any): void;
  removeArea(index: number, affected?: boolean): void;
  render(): any[];
}
